{
  "format_version": "1.20.50",
  "minecraft:item": {
    "description": {
      "identifier": "lua_ma:katana",
      "menu_category": {
        "category": "equipment",
        "group": "itemGroup.name.sword"
      }
    },
    "components": {
      "minecraft:tags": {
        "tags": [
          "minecraft:is_sword",
          "minecraft:transformable_items"
        ]
      },
      "minecraft:repairable": {
        "repair_items": [
          {
            "items": [
              "lua_ma:katana"
            ],
            "repair_amount": "context.other->query.remaining_durability + 0.05 * context.other->query.max_durability"
          }
        ]
      },
      "minecraft:can_destroy_in_creative": false,
      "minecraft:max_stack_size": 1,
      "minecraft:hand_equipped": true,
      "minecraft:damage": 5,
      "minecraft:enchantable": {
        "value": 14,
        "slot": "sword"
      },
      "minecraft:digger": {
        "use_efficiency": true,
        "destroy_speeds": [
          {
            "block": "minecraft:web",
            "speed": 15,
            "on_dig": {
              "event": "minecraft:break"
            }
          },
          {
            "block": "minecraft:bamboo",
            "speed": 100,
            "on_dig": {
              "event": "minecraft:break"
            }
          }
        ],
        "on_dig": {
          "event": "minecraft:break",
          "target": "self"
        }
      },
      "minecraft:display_name": {},
      "minecraft:icon": {
        "texture": "lua_ma:katana"
      },
      "minecraft:durability": {
        "max_durability": 250
      }
    }
  }
}